
require 'facets/core/string/camelize'

class Symbol

  def camelize( *args )
    self.to_s.camelize( *args ).to_sym
  end

end



#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCSymbol < Test::Unit::TestCase

    # camelize
    def test_camelize
      assert_equal( :ThisIsTest, :this_is_test.camelize )
    end

  end

=end
